#
# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

Name:           gmpc-notify-osd
Version:        0.19.1
Release:        4.32
License: GPL-2.0
Summary:        Libnotify Plugin for GMPC
Url:            http://www.gtk-apps.org/content/show.php/gmpc-notify-osd?content=112536
Group:          Productivity/Multimedia/Sound/Utilities
Source0:        %{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM -- libnotify-0.7-fix.patch
Patch0:         libnotify-0.7-fix.patch
BuildRequires:  gmpc-devel
BuildRequires:  pkgconfig(libnotify)
%ifarch armv6l armv6hl
BuildRequires:  -raspberrypi-userland
BuildRequires:  Mesa-libEGL1
%endif
Requires:       gmpc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gnome Music Player Client Plugin:

This is a plugin that notifies song changes using notify-osd.
Based on the gmpc-libnotify plugin.

%prep
%setup -q

%if 0%{?suse_version} > 1140
%patch0 -p0
%endif

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%dir %{_libdir}/gmpc
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/libnotifyplugin.la
%{_libdir}/gmpc/plugins/libnotifyplugin.so

%changelog
* Thu Nov 13 2014 avvissu@yandex.ru
- Fix build on armv6l (exclude raspberrypi-userland)
* Sun May  6 2012 fisiu@opensuse.org
- add libnotify-0.7-fix.patch
- spec-cleaner'ed spec file
- moved changelog into .changes file
* Thu Dec  2 2010 detlef@links2linux.de
- initial build for PackMan <0.19.1>
